## cherrytree 0.99.55+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,6 +26,12 @@
 
 option(USE_NLS "Add locales support" ON)
 option(USE_SHARED_FMT_SPDLOG "Use shared fmt and spdlog (not those bundled)" ON)
+option(USE_SHARED_GTEST_GMOCK "Use shared gtest and gmock (not those bundled)" OFF)
+if(WIN32)
+  option(USE_VTE "Add virtual terminal support" OFF)
+else()
+  option(USE_VTE "Add virtual terminal support" ON)
+endif()
 
 # used to install locale, packagers might overwrite this
 if(USE_NLS)
@@ -44,8 +50,9 @@
 set(CPACK_PACKAGE_CONTACT "Giuseppe Penone <giuspen@gmail.com>")
 set(CPACK_PACKAGE_VENDOR ${CPACK_PACKAGE_CONTACT})
 set(CPACK_PACKAGE_VERSION ${CT_VERSION})
-set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README.md")
 set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "A Hierarchical Note Taking Application, featuring Rich Text and Syntax Highlighting.")
+set(CPACK_PACKAGE_DESCRIPTION "A hierarchical note taking application, featuring rich text and syntax highlighting, storing data in a single xml or sqlite file.
+   Cherrytree is not just about having a place to write notes and to-do items and keeping them organized, it's also a place you can store links, pictures, tables, even entire documents. It can be your one program for all the miscellaneous information you have and want to keep. All those little bits of information you have scattered around your hard drive can be conveniently placed into a Cherrytree document where you can easily find it.")
 set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/license.txt")
 set(CPACK_PACKAGING_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})
 set(CPACK_PACKAGE_CHECKSUM "SHA256")
@@ -54,14 +61,23 @@
 set(CPACK_PACKAGE_INSTALL_DIRECTORY ${CPACK_PACKAGE_CONTACT})
 set(CPACK_STRIP_FILES TRUE)
 
-if(USE_SHARED_FMT_SPDLOG)
-  set(CPACK_DEBIAN_PACKAGE_DEPENDS "libgtkmm-3.0-1v5, libgtksourceviewmm-3.0-0v5, libxml++2.6-2v5, libsqlite3-0, libgspell-1-2, libcurl4, libuchardet0, libfribidi0, libspdlog1")
-else()
-  set(CPACK_DEBIAN_PACKAGE_DEPENDS "libgtkmm-3.0-1v5, libgtksourceviewmm-3.0-0v5, libxml++2.6-2v5, libsqlite3-0, libgspell-1-1, libcurl4, libuchardet0, libfribidi0")
+set(CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON)
+set(CPACK_DEBIAN_PACKAGE_RECOMMENDS "texlive-latex-base, dvipng")
+if(EXISTS "/etc/fedora-release")
+  set(CPACK_RPM_PACKAGE_REQUIRES "gtkmm30, gtksourceviewmm3, gspell, libxml++, libcurl-minimal, uchardet, fmt, spdlog")
+  if(USE_VTE)
+    set(CPACK_RPM_PACKAGE_REQUIRES "${CPACK_RPM_PACKAGE_REQUIRES}, vte291")
+  endif()
+else()
+  set(CPACK_RPM_PACKAGE_REQUIRES "libgtkmm-3_0-1, libgtksourceviewmm-3_0-0, libgspell-1-2, libxml++-2_6-2, libsqlite3-0, libcurl4, libuchardet0, libfmt8, libspdlog1")
+  if(USE_VTE)
+    set(CPACK_RPM_PACKAGE_REQUIRES "${CPACK_RPM_PACKAGE_REQUIRES}, libvte-2_91-0")
+  endif()
 endif()
 set(CPACK_DEBIAN_PACKAGE_HOMEPAGE "https://www.giuspen.net/cherrytree/")
-#set(CPACK_DEBIAN_PACKAGE_SECTION "graphics") which one?
-set(CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON)
+set(CPACK_RPM_PACKAGE_URL "https://www.giuspen.net/cherrytree/")
+set(CPACK_DEBIAN_PACKAGE_CONTROL_EXTRA "${CMAKE_CURRENT_SOURCE_DIR}/debian/postinst")
+set(CPACK_RPM_POST_INSTALL_SCRIPT_FILE "${CMAKE_CURRENT_SOURCE_DIR}/debian/postinst")
 
 include(CPack)
 
@@ -74,6 +90,9 @@
 add_definitions(-DSPDLOG_ACTIVE_LEVEL=SPDLOG_LEVEL_DEBUG)
 if(USE_NLS)
   add_definitions(-DHAVE_NLS)
+endif()
+if(USE_VTE)
+  add_definitions(-DHAVE_VTE)
 endif()
 
 # temporarily disable these warnings: Only <gtksourceview/gtksource.h> can be included directly.
@@ -82,6 +101,7 @@
 elseif(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
   add_compile_options("-Wno-#warnings")
   add_compile_options(-Wthread-safety)
+  add_compile_options(-D_LIBCPP_ENABLE_CXX17_REMOVED_AUTO_PTR)
 endif()
 
 if(APPLE)
@@ -135,6 +155,9 @@
 else()
   message("Using fmt, spdlog from: BUNDLED SRC")
   add_subdirectory(src/spdlog)
+endif()
+if(USE_VTE)
+  pkg_check_modules(VTE vte-2.91 REQUIRED)
 endif()
 
 add_subdirectory(src/7za)
@@ -163,6 +186,11 @@
 else()
   include_directories(
     src/spdlog/include
+  )
+endif()
+if(USE_VTE)
+  include_directories(
+    SYSTEM ${VTE_INCLUDE_DIRS}
   )
 endif()
