=== debian/changelog ===
cherrytree (0.99.55+dfsg-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 07 Mar 2023 18:21:31 -0800

cherrytree (0.99.55+dfsg-0.1~mx21+1) mx; urgency=medium

  * New upstream version 0.99.55+dfsg

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 07 Mar 2023 18:12:36 -0800

cherrytree (0.99.53+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.53+dfsg
  * Refresh patches.
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Thu, 19 Jan 2023 03:12:12 -0500
