## cherrytree 1.0.0%2Bdfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -274,7 +274,11 @@
     file(GLOB children "${CMAKE_SOURCE_DIR}/po/*")
     foreach(child ${children})
       if(IS_DIRECTORY ${child})
-        install(DIRECTORY ${child} DESTINATION "${PACKAGE_LOCALE_DIR}")
+        if(NOT DEFINED ENV{FLATPAK_BUILDER_BUILDDIR})
+          install(DIRECTORY ${child} DESTINATION "${PACKAGE_LOCALE_DIR}")
+        else()
+          install(DIRECTORY ${child} DESTINATION "${CHERRYTREE_SHARE_INSTALL}/locale")
+        endif()
       endif()
     endforeach()
   endif()
