=== debian/changelog ===
cherrytree (1.0.0+dfsg-0.1~mx21+1) mx; urgency=medium

  * New upstream version 1.0.0+dfsg:
    - fixed crash when opening node properties (#2304, #2313)
    - fixed blurry output when exporting LaTeX to pdf (#2308)
    - added configurability of the blinking of the cursor in the preferences
      dialog (#2298)
    - added support for executing 'rust' and 'go' code in code nodes and
      codeboxes
    - added 24 new stock icons available to be chosen as tree node icons
    - added menu items under top menu 'help' to link to website, source code
      and bug tracker
    - added new language Persian (work of Majid Abri)
    - incomplete languages: ar, bg, el, es, fi, hi_IN, hr, hu, ja, ko, lt, pt,
      pt_BR, ro, sl, zh_TW

  * Refresh remove-Check-New-Version.patch

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 18 Jul 2023 17:59:20 -0700
