=== debian/control ===
--- 
+++ 
@@ -4,17 +4,16 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Andrius Merkys <merkys@debian.org>
 Build-Depends: cmake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                desktop-file-utils,
                gettext,
                libcpputest-dev,
                libcurl4-openssl-dev | libcurl-dev,
-               libfmt-dev (>= 6.0),
                libfribidi-dev,
                libgspell-1-dev,
                libgtkmm-3.0-dev,
                libgtksourceviewmm-3.0-dev,
-               libspdlog-dev (>= 1.5),
+               libspdlog-dev,
                libsqlite3-dev,
                libuchardet-dev,
                libvte-2.91-dev,
