=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Andrius Merkys <merkys@debian.org>
 Build-Depends: cmake,
-               debhelper-compat (= 13),
+               debhelper-compat (= 12),
                desktop-file-utils,
                gettext,
                libcpputest-dev,
