=== debian/changelog ===
cherrytree (1.0.2+dfsg-1) unstable; urgency=medium

  * New upstream version 1.0.2+dfsg (Closes: #1030720)
  * Update debian/copyright.
  * Remove unused license definitions for Expat.
  * Update standards version to 4.6.2, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Andrius Merkys <merkys@debian.org>  Wed, 18 Oct 2023 01:39:36 -0400
