## cherrytree 1.0.4+dfsg

=== debian/changelog ===
cherrytree (1.0.4+dfsg-1~mx23+1) mx; urgency=medium

  * New upstream version 1.0.4+dfsg
  * Specify -Wl,--as-needed linker flag.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 06 Feb 2024 22:33:36 -0800
