## cherrytree 1.1.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -64,7 +64,7 @@
 set(CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON)
 set(CPACK_DEBIAN_PACKAGE_RECOMMENDS "texlive-latex-base, dvipng")
 if(EXISTS "/etc/fedora-release")
-  set(CPACK_RPM_PACKAGE_REQUIRES "gtkmm30, gtksourceviewmm3, gspell, libxml++, libcurl-minimal, uchardet, fmt, spdlog")
+  set(CPACK_RPM_PACKAGE_REQUIRES "gtkmm30, gtksourceviewmm3, gspell, libxml++, libcurl, uchardet, fmt, spdlog")
   if(USE_VTE)
     set(CPACK_RPM_PACKAGE_REQUIRES "${CPACK_RPM_PACKAGE_REQUIRES}, vte291")
   endif()
