=== debian/changelog ===
cherrytree (1.1.2+dfsg-1) unstable; urgency=medium

  * New upstream version 1.1.2+dfsg
  * New upstream version 1.1.1+dfsg
  * Simply copyright rule so that one line matches both files.

 -- Patrick Winnertz <winnie@debian.org>  Thu, 18 Apr 2024 20:25:26 +0200

cherrytree (1.1.0+dfsg-1) unstable; urgency=medium

  * Take over the maintainership (Closes: #1003512)
  * Update the copyright to 2024
  * Add a lintian override for the test.export.html which
    is created out of a cherrytree test
  * Add a short explanation to the skip googeltest patch
  * Add a CI/CD pipeline stolen from gr-satellites
  * Remove the old pytgk2 implementation from dfsg tarball
  * New upstream version 1.1.0+dfsg
  * Change maintainer address

 -- Patrick Winnertz <winnie@debian.org>  Wed, 27 Mar 2024 10:51:11 +0100
