## cherrytree 1.2.0%2Bdfsg

=== debian/changelog ===
cherrytree (1.2.0+dfsg-1build2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 03 Feb 2026 22:20:19 +0100

cherrytree (1.2.0+dfsg-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 May 2025 08:03:41 +0200

cherrytree (1.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.2.0+dfsg
  * Remove dependency on gtksourceview3 and use gtksourceview4 (Closes: #1079436)
  * Update copyright information and add 2025
  * Remove superfluous files from copyright
  * Refresh the patch to remove the version check

 -- Patrick Winnertz <winnie@debian.org>  Sat, 18 Jan 2025 22:10:15 +0100
